curl https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id} \ -X POST \ -H "Method-Version: 2024-04-04" \ -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \ -H "Content-Type: application/json" \ -d '{ "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ] }'
const creditScore = await method .simulate .entities(entityId) .creditScores(crsId) .create({ scores: [ { score: 800, source: "equifax", model: "vantage_4", factors: [ { code: "00034", description: "Total of all balances on bankcard or revolving accounts is too high" }, { code: "00012", description: "The date that you opened your oldest account is too recent" }, { code: "00063", description: "Lack of sufficient relevant real estate account information" } ], created_at: "2024-04-12T00:12:32.768Z" } ] });
credit_score = method.simulate.entities(entity_id).credit_scores(crs_id).create({ "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ]})
{ "id": "crs_pn4ca33GXFaCE", "entity_id": "ent_au22b1fbFJbp8", "status": "completed", "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ], "error": null, "created_at": "2024-04-12T00:12:30.228Z", "updated_at": "2024-04-12T00:12:41.303Z"}
Simulations (Dev)
Create a Custom Credit Score
POST
/
simulate
/
entities
/
{entity_id}
/
credit_scores
/
{crs_id}
curl https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id} \ -X POST \ -H "Method-Version: 2024-04-04" \ -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \ -H "Content-Type: application/json" \ -d '{ "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ] }'
const creditScore = await method .simulate .entities(entityId) .creditScores(crsId) .create({ scores: [ { score: 800, source: "equifax", model: "vantage_4", factors: [ { code: "00034", description: "Total of all balances on bankcard or revolving accounts is too high" }, { code: "00012", description: "The date that you opened your oldest account is too recent" }, { code: "00063", description: "Lack of sufficient relevant real estate account information" } ], created_at: "2024-04-12T00:12:32.768Z" } ] });
credit_score = method.simulate.entities(entity_id).credit_scores(crs_id).create({ "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ]})
{ "id": "crs_pn4ca33GXFaCE", "entity_id": "ent_au22b1fbFJbp8", "status": "completed", "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ], "error": null, "created_at": "2024-04-12T00:12:30.228Z", "updated_at": "2024-04-12T00:12:41.303Z"}
Credit Score simulations allow you to update pending Credit Scores with custom responses for entities in the development environment.
If no action is taken within 20 seconds of creating a credit score, it will automatically update with default data.
curl https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id} \ -X POST \ -H "Method-Version: 2024-04-04" \ -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \ -H "Content-Type: application/json" \ -d '{ "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ] }'
const creditScore = await method .simulate .entities(entityId) .creditScores(crsId) .create({ scores: [ { score: 800, source: "equifax", model: "vantage_4", factors: [ { code: "00034", description: "Total of all balances on bankcard or revolving accounts is too high" }, { code: "00012", description: "The date that you opened your oldest account is too recent" }, { code: "00063", description: "Lack of sufficient relevant real estate account information" } ], created_at: "2024-04-12T00:12:32.768Z" } ] });
credit_score = method.simulate.entities(entity_id).credit_scores(crs_id).create({ "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ]})
{ "id": "crs_pn4ca33GXFaCE", "entity_id": "ent_au22b1fbFJbp8", "status": "completed", "scores": [ { "score": 800, "source": "equifax", "model": "vantage_4", "factors": [ { "code": "00034", "description": "Total of all balances on bankcard or revolving accounts is too high" }, { "code": "00012", "description": "The date that you opened your oldest account is too recent" }, { "code": "00063", "description": "Lack of sufficient relevant real estate account information" } ], "created_at": "2024-04-12T00:12:32.768Z" } ], "error": null, "created_at": "2024-04-12T00:12:30.228Z", "updated_at": "2024-04-12T00:12:41.303Z"}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Method API Docs","colors":{"primary":"#00B29D","light":"#00B29D","dark":"#00B29D"},"logo":{"light":"https://mintcdn.com/methodfinancial/eYCszB8Xv_iFcf77/logo/v2-dark.svg?fit=max\u0026auto=format\u0026n=eYCszB8Xv_iFcf77\u0026q=85\u0026s=c24c340c4c85e87674779b9a8400ecd9","dark":"https://mintcdn.com/methodfinancial/eYCszB8Xv_iFcf77/logo/v2-light.svg?fit=max\u0026auto=format\u0026n=eYCszB8Xv_iFcf77\u0026q=85\u0026s=d08c8b3d37b197cb59f425533db2ecba"},"favicon":"https://mintcdn.com/methodfinancial/zaEy2Zf5mLkHDuX_/icons/opal-fill-logo.png?fit=max\u0026auto=format\u0026n=zaEy2Zf5mLkHDuX_\u0026q=85\u0026s=f9aaa3d67156b0f671c7cb6b1aad1a26","api":{"playground":{"display":"simple"}},"appearance":{"default":"dark"},"background":{"color":{"dark":"#030A26"}},"navbar":{"links":[{"href":"https://methodfi.com/contact-us","label":"Get Started"}],"primary":{"type":"button","label":"Sign In","href":"https://dashboard.methodfi.com/login"}},"footer":{"socials":{"x":"https://twitter.com/methodfinancial","github":"https://github.com/methodfi","linkedin":"https://www.linkedin.com/company/methodfi"}},"search":{"prompt":"✨ Ask Method"},"integrations":{"clearbit":{"publicApiKey":"pk_98f804caad882c280e5682dae1e0c92f"}},"contextual":{"options":["copy","claude","chatgpt","mcp","add-mcp"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"methodfinancial","hasAudioNarration":false,"actualSubdomain":"methodfinancial","customDomains":["docs.methodfi.com"],"gitSource":{"type":"github","owner":"methodfi","repo":"docs","deployBranch":"release","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae502bf1157786dc240e3d4","collectionId":"c89e80f5-192c-458f-b8b2-3a7088620fb3","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae502bf1157786dc240e3d4"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae502bf1157786dc240e3d4","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1019},{"language":"default","tag":"Accounts","count":259},{"language":"default","tag":"Entities","count":203},{"language":"default","tag":"Supporting Endpoints","count":194},{"language":"default","tag":"Errors","count":108},{"language":"default","tag":"Guides","count":81},{"language":"default","tag":"Verification Sessions","count":80},{"language":"default","tag":"Changelog","count":56},{"language":"default","tag":"Payments","count":48},{"language":"default","tag":"Elements","count":41}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","href":"/_mintlify/custom/methodfinancial/e67df13ab53f4c6b/style.css"}],"page":{"pagePath":"2024-04-04/reference/simulations/credit-scores/create","slug":"/2024-04-04/reference/simulations/credit-scores/create","pageMetadata":{"title":"Create a Custom Credit Score","api":"POST https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id}","description":null,"href":"/2024-04-04/reference/simulations/credit-scores/create"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const ParamList=({items=[],is_child=false})=>{const{Accordion,Expandable,ParamField,ResponseField}=_provideComponents()||{};if(!Accordion)_missingMdxReference(`Accordion`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return items.map(item=>{const field_props={id:Math.random().toString(),body:item.name,name:item.name,type:item.type,required:item.required};const enums=item.enums||[];const items=item.items||[];const has_items=items?.length>0;const has_enums=enums?.length>0;const should_default_open=item.defaultOpen||false;const render_child_item=()=>{const child_props={title:has_enums?`Possible enum values`:`properties`};if(should_default_open)child_props.defaultOpen=true;const has_inline_enums=has_enums\u0026\u0026enums.every(enum_item=>typeof enum_item===`string`)\u0026\u0026enums.map((enum_item,idx)=>{const is_last=idx===enums.length-1;const is_2nd_to_last=idx===enums.length-2;return _jsxs(_Fragment,{children:[_jsx(`code`,{children:enum_item}),is_last\u0026\u0026``,is_2nd_to_last\u0026\u0026` or `,!is_last\u0026\u0026!is_2nd_to_last\u0026\u0026`, `]})});const enum_list=has_enums\u0026\u0026!has_inline_enums\u0026\u0026_jsx(Accordion,{...child_props,children:enums.map((enum_item,index)=>_jsxs(`div`,{children:[_jsx(`code`,{children:enum_item.name}),_jsx(`br`,{}),_jsx(`p`,{children:enum_item.description})]},`enum-${index}`))});const item_list=has_items\u0026\u0026_jsx(Expandable,{...child_props,children:_jsx(ParamList,{items:items||[],is_child:true})});return _jsxs(_Fragment,{children:[_jsxs(`p`,{children:[item.description,has_inline_enums\u0026\u0026[has_inline_enums.length>1?` One of `:` Must be `,...has_inline_enums]]}),enum_list,item_list]})};return is_child?_jsx(ResponseField,{...field_props,children:render_child_item()}):_jsx(ParamField,{...field_props,children:render_child_item()})})};function _createMdxContent(props){const _components={a:`a`,p:`p`,..._provideComponents(),...props.components},{Heading,Warning,_MdxComponentBoundary}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Warning)_missingMdxReference(`Warning`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Credit Score simulations allow you to update pending Credit Scores with custom responses for entities in the development environment.`}),`\n`,_jsx(Warning,{children:`If no action is taken within 20 seconds of creating a credit score, it will automatically update with default data.`}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(_MdxComponentBoundary,{name:`ParamList`,children:_jsx(ParamList,{items:[{name:`entity_id`,type:`string`,required:true,description:`ID of the Entity.`},{name:`crs_id`,type:`string`,required:true,description:`ID of the Credit Score to update.`}]})}),`\n`,_jsx(Heading,{level:`2`,id:`body`,children:`Body`}),`\n`,_jsx(_MdxComponentBoundary,{name:`ParamList`,children:_jsx(ParamList,{items:[{name:`scores`,type:`object[]`,required:false,description:`An array of score objects.`,items:[{name:`scores.score`,type:`number`,description:`The credit score.`},{name:`scores.source`,type:`enum`,description:`The source of the credit score.`,enums:[{name:`equifax`,description:`Equifax is the source used to pull the credit score.`},{name:`experian`,description:`Experian is the source used to pull the credit score.`},{name:`transunion`,description:`TransUnion is the source used to pull the credit score.`}]},{name:`scores.model`,type:`enum`,description:`The model used to calculate the credit score.`,enums:[{name:`vantage_3`,description:_jsxs(_Fragment,{children:[_jsx(_components.a,{href:`https://www.creditkarma.com/credit-cards/i/vantagescore-30`,children:`VantageScore 3.0`}),` credit score model.`]})},{name:`vantage_4`,description:_jsxs(_Fragment,{children:[_jsx(_components.a,{href:`https://www.creditkarma.com/advice/i/new-vantagescore-4-0-explained`,children:`VantageScore 4.0`}),` credit score model.`]})}]},{name:`scores.factors`,type:`object[]`,description:`An array of factors that contributed to the credit score.`,items:[{name:`scores.factors.code`,type:`string`,description:`The code of the factor.`},{name:`scores.factors.description`,type:`string`,description:`The description of the factor.`}]},{name:`scores.created_at`,type:`string`,description:`Timestamp of when the credit score was generated.`}]}]})}),`\n`,_jsx(Heading,{level:`2`,id:`returns`,children:`Returns`}),`\n`,_jsx(_components.p,{children:`Returns the updated Credit Score object.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{ParamList,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a Custom Credit Score","api":"POST https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id}","description":null,"href":"/2024-04-04/reference/simulations/credit-scores/create"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const ParamList=()=>null;function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Heading,RequestExample,ResponseExample,Warning,_MdxComponentBoundary}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!Warning)_missingMdxReference(`Warning`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Credit Score simulations allow you to update pending Credit Scores with custom responses for entities in the development environment.`}),`\n`,_jsx(Warning,{children:`If no action is taken within 20 seconds of creating a credit score, it will automatically update with default data.`}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(_MdxComponentBoundary,{name:`ParamList`,children:_jsx(ParamList,{items:[{name:`entity_id`,type:`string`,required:true,description:`ID of the Entity.`},{name:`crs_id`,type:`string`,required:true,description:`ID of the Credit Score to update.`}]})}),`\n`,_jsx(Heading,{level:`2`,id:`body`,children:`Body`}),`\n`,_jsx(_MdxComponentBoundary,{name:`ParamList`,children:_jsx(ParamList,{})}),`\n`,_jsx(Heading,{level:`2`,id:`returns`,children:`Returns`}),`\n`,_jsx(_components.p,{children:`Returns the updated Credit Score object.`}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`29`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`29`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id}`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Method-Version: 2024-04-04\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"scores\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"score\": 800,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"source\": \"equifax\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\": \"vantage_4\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"factors\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"code\": \"00034\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"description\": \"Total of all balances on bankcard or revolving accounts is too high\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"code\": \"00012\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"description\": \"The date that you opened your oldest account is too recent\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"code\": \"00063\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"description\": \"Lack of sufficient relevant real estate account information\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"created_at\": \"2024-04-12T00:12:32.768Z\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`28`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`28`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` creditScore`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`simulate`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`entities`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`entityId`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`creditScores`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`crsId`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`create`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` scores:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` score:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 800`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` source:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"equifax\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` model:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"vantage_4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` factors:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` code:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"00034\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` description:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Total of all balances on bankcard or revolving accounts is too high\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` code:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"00012\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` description:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"The date that you opened your oldest account is too recent\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` code:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"00063\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` description:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Lack of sufficient relevant real estate account information\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` created_at:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"2024-04-12T00:12:32.768Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` });`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`24`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`24`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`credit_score `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` method.simulate.entities(entity_id).credit_scores(crs_id).create({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"scores\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"score\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`800`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"equifax\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"vantage_4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"factors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"00034\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Total of all balances on bankcard or revolving accounts is too high\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"00012\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The date that you opened your oldest account is too recent\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"00063\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Lack of sufficient relevant real estate account information\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-04-12T00:12:32.768Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`})`})}),`\n`]})})})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`30`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`30`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"crs_pn4ca33GXFaCE\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"entity_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ent_au22b1fbFJbp8\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"completed\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"scores\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"score\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`800`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"equifax\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"vantage_4\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"factors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"00034\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Total of all balances on bankcard or revolving accounts is too high\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"00012\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The date that you opened your oldest account is too recent\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"00063\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Lack of sufficient relevant real estate account information\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-04-12T00:12:32.768Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-04-12T00:12:30.228Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-04-12T00:12:41.303Z\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{ParamList,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a Custom Credit Score","api":"POST https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id}","description":null,"href":"/2024-04-04/reference/simulations/credit-scores/create"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Path Parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Body","slug":"body","depth":2,"children":[]},{"title":"Returns","slug":"returns","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"29\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id}\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Method-Version: 2024-04-04\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Content-Type: application/json\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -d\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"scores\": [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"score\": 800,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"source\": \"equifax\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"model\": \"vantage_4\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"factors\": [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"code\": \"00034\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"description\": \"Total of all balances on bankcard or revolving accounts is too high\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"code\": \"00012\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"description\": \"The date that you opened your oldest account is too recent\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"code\": \"00063\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"description\": \"Lack of sufficient relevant real estate account information\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"created_at\": \"2024-04-12T00:12:32.768Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Node.js","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"28\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> creditScore\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> method\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">simulate\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">entities\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">entityId\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">creditScores\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">crsId\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">create\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">({\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> scores:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> score:\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 800\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> source:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"equifax\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> model:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"vantage_4\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> factors:\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> code:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"00034\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> description:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Total of all balances on bankcard or revolving accounts is too high\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> code:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"00012\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> description:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"The date that you opened your oldest account is too recent\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> code:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"00063\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> description:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Lack of sufficient relevant real estate account information\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> created_at:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"2024-04-12T00:12:32.768Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> });\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"24\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">credit_score \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> method.simulate.entities(entity_id).credit_scores(crs_id).create({\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"scores\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"score\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">800\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"source\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"equifax\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"model\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"vantage_4\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"factors\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"00034\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Total of all balances on bankcard or revolving accounts is too high\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"00012\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"The date that you opened your oldest account is too recent\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"00063\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Lack of sufficient relevant real estate account information\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2024-04-12T00:12:32.768Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">})\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"30\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"crs_pn4ca33GXFaCE\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"entity_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"ent_au22b1fbFJbp8\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"completed\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"scores\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"score\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">800\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"source\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"equifax\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"model\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"vantage_4\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"factors\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"00034\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Total of all balances on bankcard or revolving accounts is too high\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"00012\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"The date that you opened your oldest account is too recent\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"00063\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Lack of sufficient relevant real estate account information\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2024-04-12T00:12:32.768Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2024-04-12T00:12:30.228Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2024-04-12T00:12:41.303Z\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Create a Custom Credit Score","path":"/simulate/entities/{entity_id}/credit_scores/{crs_id}","servers":[{"url":"https://dev.methodfi.com"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{}},"response":{},"deprecated":false}},"jsLinks":["/_mintlify/custom/methodfinancial/e3b0c44298fc1c14/script.js"],"subdomain":"methodfinancial","siteName":"Method API Docs","title":"Create a Custom Credit Score - Method API Docs","navMaps":{"firstHrefInVersion":{"2026-03-30":{"href":"/2026-03-30/reference/simulations/credit-scores/create","matchLevel":1},"2025-12-01":{"href":"/2025-12-01/reference/simulations/credit-scores/create","matchLevel":1},"2025-07-04":{"href":"/2025-07-04/reference/simulations/credit-scores/create","matchLevel":1},"2024-04-04":{"href":"/2024-04-04/reference/simulations/credit-scores/create","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-10-30T20:49:36.887Z","originalFileLocation":"2024-04-04/reference/simulations/credit-scores/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Method API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a Custom Credit Score - Method API Docs\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Method API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://methodfinancial.mintlify.app/_mintlify/api/og/v2?division=Simulations+%28Dev%29\u0026amp;title=Create+a+Custom+Credit+Score\u0026amp;theme=530bf930f49fa201535c680b\u0026amp;signature=82086937d7c03fe4b536d08852b01deb732c80eb7f327a7462ba55dab609c865\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a Custom Credit Score - Method API Docs\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://methodfinancial.mintlify.app/_mintlify/api/og/v2?division=Simulations+%28Dev%29\u0026amp;title=Create+a+Custom+Credit+Score\u0026amp;theme=530bf930f49fa201535c680b\u0026amp;signature=82086937d7c03fe4b536d08852b01deb732c80eb7f327a7462ba55dab609c865\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/methodfinancial/KzsmMsiAxj4xicT7/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Method API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#00B29D\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/2024-04-04/reference/simulations/credit-scores/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.methodfi.com/#organization\",\"name\":\"Method API Docs\",\"url\":\"https://docs.methodfi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/methodfinancial/eYCszB8Xv_iFcf77/logo/v2-dark.svg?fit=max\u0026auto=format\u0026n=eYCszB8Xv_iFcf77\u0026q=85\u0026s=c24c340c4c85e87674779b9a8400ecd9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.methodfi.com#website\",\"name\":\"Method API Docs\",\"url\":\"https://docs.methodfi.com\",\"publisher\":{\"@id\":\"https://docs.methodfi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create#webpage\",\"url\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create\",\"name\":\"Create a Custom Credit Score\",\"dateModified\":\"2026-10-30T20:49:36.887Z\",\"isPartOf\":{\"@id\":\"https://docs.methodfi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Supporting Endpoints\",\"item\":\"https://docs.methodfi.com/2024-04-04/reference/teams/mle/method-jwks\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Simulations (Dev)\",\"item\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create a Custom Credit Score\",\"item\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create#apireference\",\"headline\":\"Create a Custom Credit Score\",\"name\":\"Create a Custom Credit Score\",\"url\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create\",\"mainEntityOfPage\":{\"@id\":\"https://docs.methodfi.com/2024-04-04/reference/simulations/credit-scores/create#webpage\"},\"dateModified\":\"2026-10-30T20:49:36.887Z\",\"publisher\":{\"@id\":\"https://docs.methodfi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.methodfi.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Method API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Method API Docs","nav":{"global":null,"versions":[{"version":"2026-03-30","tag":"Latest","pages":[{"title":"2026-03-30","href":"/2026-03-30/reference/simulations/credit-scores/create"}]},{"version":"2025-12-01","pages":[{"title":"2025-12-01","href":"/2025-12-01/reference/simulations/credit-scores/create"}]},{"version":"2025-07-04","pages":[{"title":"2025-07-04","href":"/2025-07-04/reference/simulations/credit-scores/create"}]},{"version":"2024-04-04","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/overview"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Introduction","href":"/2024-04-04/reference/introduction"},{"title":"Authentication","href":"/2024-04-04/reference/authentication"},{"title":"Environments","href":"/2024-04-04/reference/environments"},{"title":"Idempotency","href":"/2024-04-04/reference/idempotency"},{"title":"Rate Limiting","href":"/2024-04-04/reference/rate-limiting"},{"title":"Message-Level-Encryption (MLE)","href":"/2024-04-04/reference/message-level-encryption"},{"title":"Mutual TLS (mTLS)","href":"/2024-04-04/reference/mtls"},{"title":"Expanding Resources","href":"/2024-04-04/reference/expanding"},{"title":"Request IDs","href":"/2024-04-04/reference/request-id"},{"title":"Versioning","href":"/2024-04-04/reference/versioning"},{"title":"Pagination","href":"/2024-04-04/reference/pagination"},{"title":"Metadata","href":"/2024-04-04/reference/metadata"},{"group":"Errors","pages":[{"title":"Request Errors","href":"/2024-04-04/reference/errors/request-errors"},{"title":"Resource Errors","href":"/2024-04-04/reference/errors/resource-errors"},{"title":"mTLS Errors","href":"/2024-04-04/reference/errors/mtls-errors"},{"group":"Entities","pages":[{"title":"Entity Errors","href":"/2024-04-04/reference/errors/entity-errors"},{"title":"Entity Verification Session Errors","href":"/2024-04-04/reference/errors/entity-verification-session-errors"},{"title":"Identity Errors","href":"/2024-04-04/reference/errors/identity-errors"},{"title":"Connect Errors","href":"/2024-04-04/reference/errors/connect-errors"},{"title":"Credit Score Errors","href":"/2024-04-04/reference/errors/credit-score-errors"},{"title":"Vehicle Errors","href":"/2024-04-04/reference/errors/vehicle-errors"},{"title":"Entity Attribute Errors","href":"/2024-04-04/reference/errors/entity-attribute-errors"}]},{"group":"Accounts","pages":[{"title":"Account Errors","href":"/2024-04-04/reference/errors/account-errors"},{"title":"Account Verification Session Errors","href":"/2024-04-04/reference/errors/account-verification-session-errors"},{"title":"Balance Errors","href":"/2024-04-04/reference/errors/balance-errors"},{"title":"Card Brand Errors","href":"/2024-04-04/reference/errors/card-brand-errors"},{"title":"Update Errors","href":"/2024-04-04/reference/errors/update-errors"},{"title":"Payoff Errors","href":"/2024-04-04/reference/errors/payoff-errors"},{"title":"Sensitive Errors","href":"/2024-04-04/reference/errors/sensitive-errors"},{"title":"Account Attribute Errors","href":"/2024-04-04/reference/errors/account-attribute-errors"},{"title":"Payment Instrument Errors","href":"/2024-04-04/reference/errors/payment-instrument-errors"}]},{"group":"Payments","pages":[{"title":"Payment Errors","href":"/2024-04-04/reference/errors/payment-errors"},{"title":"Payment Reversal Errors","href":"/2024-04-04/reference/errors/payment-reversal-errors"}]},{"title":"Product Errors","href":"/2024-04-04/reference/errors/product-errors"},{"title":"Subscription Errors","href":"/2024-04-04/reference/errors/subscription-errors"},{"title":"Webhook Errors","href":"/2024-04-04/reference/errors/webhook-errors"},{"title":"File Errors","href":"/2024-04-04/reference/errors/file-errors"},{"title":"Simulation Errors","href":"/2024-04-04/reference/errors/simulate-errors"},{"title":"Forwarding Request Errors","href":"/2024-04-04/reference/errors/forwarding-request-errors"}]}]},{"group":"Entities","pages":[{"title":"The entity endpoint","sidebarTitle":"The entity endpoint","href":"/2024-04-04/reference/entities/overview"},{"title":"Create an Individual","api":"POST /entities","href":"/2024-04-04/reference/entities/create-individual"},{"title":"Create a Corporation","api":"POST /entities","href":"/2024-04-04/reference/entities/create-corporation"},{"title":"Update an Entity","api":"PUT /entities/{ent_id}","href":"/2024-04-04/reference/entities/update-entity"},{"title":"Retrieve an Entity","api":"GET /entities/{ent_id}","href":"/2024-04-04/reference/entities/retrieve-entity"},{"title":"List all Entities","api":"GET /entities","href":"/2024-04-04/reference/entities/list-entities"},{"group":"Verification Sessions","pages":[{"title":"The entity verification sessions endpoint","sidebarTitle":"The entity verification sessions endpoint","href":"/2024-04-04/reference/entities/verification-sessions/overview"},{"title":"Retrieve a Verification Session","api":"GET /entities/{ent_id}/verification_sessions/{evf_id}","href":"/2024-04-04/reference/entities/verification-sessions/retrieve"},{"title":"List all Verification Sessions","api":"GET /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/list"},{"group":"Identity Verification","pages":[{"title":"Create a BYO KYC Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-byo-kyc"}]},{"group":"Phone Verification","pages":[{"title":"Create a BYO SMS Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-byo-sms"},{"title":"Create an SMS Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-sms"},{"title":"Update an SMS Verification","api":"PUT /entities/{ent_id}/verification_sessions/{evf_id}","href":"/2024-04-04/reference/entities/verification-sessions/update-sms"},{"title":"Create an SNA Verification","api":"POST /entities/{ent_id}/verification_sessions","href":"/2024-04-04/reference/entities/verification-sessions/create-sna"},{"title":"Update an SNA Verification","api":"PUT /entities/{ent_id}/verification_sessions/{evf_id}","href":"/2024-04-04/reference/entities/verification-sessions/update-sna"}]}]},{"group":"Connect","pages":[{"title":"The connect endpoint","sidebarTitle":"The connect endpoint","href":"/2024-04-04/reference/entities/connect/overview"},{"title":"Create a Connect","api":"POST /entities/{ent_id}/connect","href":"/2024-04-04/reference/entities/connect/create"},{"title":"Retrieve a Connect","api":"GET /entities/{ent_id}/connect/{cxn_id}","href":"/2024-04-04/reference/entities/connect/retrieve"},{"title":"List all Connects","api":"GET /entities/{ent_id}/connect","href":"/2024-04-04/reference/entities/connect/list"}]},{"group":"Credit Scores","pages":[{"title":"The credit score endpoint","sidebarTitle":"The credit score endpoint","href":"/2024-04-04/reference/entities/credit-scores/overview"},{"title":"Create Individual Credit Scores","api":"POST /entities/{ent_id}/credit_scores","href":"/2024-04-04/reference/entities/credit-scores/create"},{"title":"Retrieve Individual Credit Scores","api":"GET /entities/{ent_id}/credit_scores/{crs_id}","href":"/2024-04-04/reference/entities/credit-scores/retrieve"},{"title":"List all Credit Scores","api":"GET /entities/{ent_id}/credit_scores","href":"/2024-04-04/reference/entities/credit-scores/list"}]},{"group":"Attributes","pages":[{"title":"The entity attributes endpoint","sidebarTitle":"The entity attributes endpoint","href":"/2024-04-04/reference/entities/attributes/overview"},{"title":"Create Attributes","api":"POST /entities/{ent_id}/attributes","href":"/2024-04-04/reference/entities/attributes/create"},{"title":"Retrieve Attributes","api":"GET /entities/{ent_id}/attributes/{attr_id}","href":"/2024-04-04/reference/entities/attributes/retrieve"},{"title":"List all Attributes","api":"GET /entities/{ent_id}/attributes","href":"/2024-04-04/reference/entities/attributes/list"}]},{"group":"Vehicles","pages":[{"title":"The vehicles endpoint","sidebarTitle":"The vehicles endpoint","href":"/2024-04-04/reference/entities/vehicles/overview"},{"title":"Create Vehicles","api":"POST /entities/{ent_id}/vehicles","href":"/2024-04-04/reference/entities/vehicles/create"},{"title":"Retrieve Vehicles","api":"GET /entities/{ent_id}/vehicles/{evhl_id}","href":"/2024-04-04/reference/entities/vehicles/retrieve"},{"title":"List all Vehicles","api":"GET /entities/{ent_id}/vehicles","href":"/2024-04-04/reference/entities/vehicles/list"}]},{"group":"Identities","pages":[{"title":"The identities endpoint","sidebarTitle":"The identities endpoint","href":"/2024-04-04/reference/entities/identities/overview"},{"title":"Create Identities","api":"POST /entities/{ent_id}/identities","href":"/2024-04-04/reference/entities/identities/create"},{"title":"Retrieve Identities","api":"GET /entities/{ent_id}/identities/{idn_id}","href":"/2024-04-04/reference/entities/identities/retrieve"},{"title":"List all Identities","api":"GET /entities/{ent_id}/identities","href":"/2024-04-04/reference/entities/identities/list"}]},{"group":"Products","pages":[{"title":"The products endpoint","sidebarTitle":"The products endpoint","href":"/2024-04-04/reference/entities/products/overview"},{"title":"List all Products","api":"GET /entities/{ent_id}/products","href":"/2024-04-04/reference/entities/products/list"}]},{"group":"Subscriptions","pages":[{"title":"The subscriptions endpoint","sidebarTitle":"The subscriptions endpoint","href":"/2024-04-04/reference/entities/subscriptions/overview"},{"title":"Create a Subscription","api":"POST /entities/{ent_id}/subscriptions","href":"/2024-04-04/reference/entities/subscriptions/create"},{"title":"Retrieve a Subscription","api":"GET /entities/{ent_id}/subscriptions/{sub_id}","href":"/2024-04-04/reference/entities/subscriptions/retrieve"},{"title":"List all Subscriptions","api":"GET /entities/{ent_id}/subscriptions","href":"/2024-04-04/reference/entities/subscriptions/list"},{"title":"Delete a Subscription","api":"DELETE /entities/{ent_id}/subscriptions/{sub_id}","href":"/2024-04-04/reference/entities/subscriptions/delete"}]},{"group":"Consent","pages":[{"title":"Update an Entity's Consent","api":"POST /entities/{ent_id}/consent","href":"/2024-04-04/reference/entities/consent/withdraw"}]}]},{"group":"Accounts","pages":[{"title":"The account endpoint","sidebarTitle":"The account endpoint","href":"/2024-04-04/reference/accounts/overview"},{"title":"Create an Account","api":"POST /accounts","href":"/2024-04-04/reference/accounts/create"},{"title":"Retrieve an Account","api":"GET /accounts/{acc_id}","href":"/2024-04-04/reference/accounts/retrieve"},{"title":"List all Accounts","api":"GET /accounts","href":"/2024-04-04/reference/accounts/list"},{"group":"Updates","pages":[{"title":"The updates endpoint","sidebarTitle":"The updates endpoint","href":"/2024-04-04/reference/accounts/updates/overview"},{"title":"Create an Update","api":"POST /accounts/{acc_id}/updates","href":"/2024-04-04/reference/accounts/updates/create"},{"title":"Retrieve an Update","api":"GET /accounts/{acc_id}/updates/{upt_id}","href":"/2024-04-04/reference/accounts/updates/retrieve"},{"title":"List all Updates","api":"GET /accounts/{acc_id}/updates","href":"/2024-04-04/reference/accounts/updates/list"}]},{"group":"Transactions","pages":[{"title":"The transactions endpoint","sidebarTitle":"The transactions endpoint","href":"/2024-04-04/reference/accounts/transactions/overview"},{"title":"Retrieve a Transaction","api":"GET /accounts/{acc_id}/transactions/{txn_id}","href":"/2024-04-04/reference/accounts/transactions/retrieve"},{"title":"List all Transactions","api":"GET /accounts/{acc_id}/transactions","href":"/2024-04-04/reference/accounts/transactions/list"}]},{"group":"Attributes","pages":[{"title":"The account attributes endpoint","sidebarTitle":"The account attributes endpoint","href":"/2024-04-04/reference/accounts/attributes/overview"},{"title":"Create Attributes","api":"POST /accounts/{acc_id}/attributes","href":"/2024-04-04/reference/accounts/attributes/create"},{"title":"Retrieve Attributes","api":"GET /accounts/{acc_id}/attributes/{acc_attr_id}","href":"/2024-04-04/reference/accounts/attributes/retrieve"}
[...]
